Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7163 - C++ and g77 do not work
Summary: C++ and g77 do not work
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-20 00:29 UTC by Karl Larsen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-04 02:10:25 UTC


Attachments (Terms of Use)
File with a copy of the error message (deleted)
1999-11-20 00:35 UTC, Karl Larsen
no flags Details

Description Karl Larsen 1999-11-20 00:29:36 UTC
After I loaded the g77 rpm from the version 6.1 cheapbytes cd-rom neither
of the cross compilers work. The error message is the same with both and
involves a directory /usr/src/ba/.... which does not exist on my computer.
If needed I can send you the exact error message but not here.

Comment 1 Karl Larsen 1999-11-20 00:35:59 UTC
Created attachment 9 [details]
File with a copy of the error message

Comment 2 Jeff Johnson 1999-12-15 17:51:59 UTC
This is a bug in the egcs package which is incorrectly including links
into the Red Hat build dir.

Comment 3 Jim Kingdon 1999-12-23 20:00:59 UTC
The fact that /usr/src/bs is mentioned probably is a red herring (that is,
I think it only appears in the error message; I don't think anything is
looking for a file there).  Now, as for the actual problem.  Off the top
of my head it looks like something strange is going on which is causing
the first character in MAIN__ and main to be omitted.  Can you offer any
more details about how to make this problem happen?  I've enclosed a
simple test of g77 which worked for me.

One nit: as far as I know, there is no cross compiler involved here
(that is, the "g77" which we ship is a native compiler - running on
a x86 and producing x86 code - whereas a cross compiler might
run on an x86 and produce code for, say, a PowerPC).

[kingdon@test114 6905]$ g77 -g foo.f
[kingdon@test114 6905]$ ./a.out
 Hello, world
[kingdon@test114 6905]$ cat foo.f
      PRINT *,'Hello, world'
      END
[kingdon@test114 6905]$

Comment 4 Cristian Gafton 2000-02-04 02:10:59 UTC
closed due to lack of feedback


Note You need to log in before you can comment on or make changes to this bug.